@font-face {
  font-family: 'DBHeavent';
  font-style: normal;
  font-weight: 300;
  src: local("DBHeavent Regular"), local("DBHeavent-Regular"), url("../fonts/DBHeavent.ttf") format("truetype"); }
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 300;
  src: url("../fonts/roboto-v19-cyrillic-ext_latin-300.eot");
  /* IE9 Compat Modes */
  src: local("Roboto Light"), local("Roboto-Light"), url("../fonts/roboto-v19-cyrillic-ext_latin-300.eot?#iefix") format("embedded-opentype"), url("../fonts/roboto-v19-cyrillic-ext_latin-300.woff2") format("woff2"), url("../fonts/roboto-v19-cyrillic-ext_latin-300.woff") format("woff"), url("../fonts/roboto-v19-cyrillic-ext_latin-300.ttf") format("truetype"), url("../fonts/roboto-v19-cyrillic-ext_latin-300.svg#Roboto") format("svg");
  /* Legacy iOS */ }
/* roboto-regular - cyrillic-ext_latin */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: url("../fonts/roboto-v19-cyrillic-ext_latin-regular.eot");
  /* IE9 Compat Modes */
  src: local("Roboto"), local("Roboto-Regular"), url("../fonts/roboto-v19-cyrillic-ext_latin-regular.eot?#iefix") format("embedded-opentype"), url("../fonts/roboto-v19-cyrillic-ext_latin-regular.woff2") format("woff2"), url("../fonts/roboto-v19-cyrillic-ext_latin-regular.woff") format("woff"), url("../fonts/roboto-v19-cyrillic-ext_latin-regular.ttf") format("truetype"), url("../fonts/roboto-v19-cyrillic-ext_latin-regular.svg#Roboto") format("svg");
  /* Legacy iOS */ }
/* roboto-700 - cyrillic-ext_latin */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 700;
  src: url("../fonts/roboto-v19-cyrillic-ext_latin-700.eot");
  /* IE9 Compat Modes */
  src: local("Roboto Bold"), local("Roboto-Bold"), url("../fonts/roboto-v19-cyrillic-ext_latin-700.eot?#iefix") format("embedded-opentype"), url("../fonts/roboto-v19-cyrillic-ext_latin-700.woff2") format("woff2"), url("../fonts/roboto-v19-cyrillic-ext_latin-700.woff") format("woff"), url("../fonts/roboto-v19-cyrillic-ext_latin-700.ttf") format("truetype"), url("../fonts/roboto-v19-cyrillic-ext_latin-700.svg#Roboto") format("svg");
  /* Legacy iOS */ }
@font-face {
  font-family: 'Material Icons';
  font-style: normal;
  font-weight: 400;
  src: url(../iconfont/MaterialIcons-Regular.eot);
  /* For IE6-8 */
  src: local("Material Icons"), local("MaterialIcons-Regular"), url(../iconfont/MaterialIcons-Regular.woff2) format("woff2"), url(../iconfont/MaterialIcons-Regular.woff) format("woff"), url(../iconfont/MaterialIcons-Regular.ttf) format("truetype"); }
.material-icons {
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 24px;
  /* Preferred icon size */
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;
  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;
  /* Support for IE. */
  font-feature-settings: 'liga'; }

/* thai */
@font-face {
  font-family: 'Mitr';
  font-style: normal;
  src: url(../fonts/Mitr-Regular.ttf) format("truetype"); }
@font-face {
  font-family: 'Mitr-Light';
  font-style: normal;
  src: url(../fonts/Mitr-Light.ttf) format("truetype"); }
body {
  font-family: 'Mitr-Light', sans-serif;
  font-size: 16px; }

.bootstrap-select .btn:focus {
  outline: none !important; }

.fc-content {
  cursor: pointer; }

.bootstrap-select .bs-searchbox .form-control {
  margin-left: 0; }
.bootstrap-select .bs-searchbox input[type='search'] {
  padding-left: 35px !important; }

.icon-name {
  position: relative;
  top: -3px;
  left: 7px;
  font-size: 15px; }

.text-with-icon .material-icons {
  width: 24px; }
.text-with-icon .icon-name {
  position: relative;
  top: -4px; }

.btn-circle {
  padding-top: 10px; }

.btn-circle-grey {
  background-color: #6d6e71 !important;
  color: #fff; }

.btn-light-grey {
  background-color: #bcbec0;
  color: #fff; }

.btn-round-corner {
  border-radius: 7px !important; }

.btn-radio {
  border: solid 1px #d1d3d4 !important;
  box-shadow: none !important;
  min-width: 30px;
  font-weight: bold;
  padding-top: 10px; }
  .btn-radio.active {
    background-color: #6d6e71;
    color: #fff; }

.btn-inherit {
  border: none;
  background-color: inherit; }

.btn-delete {
  color: red; }

.btn-circle-63 {
  width: 63px;
  height: 63px;
  border-radius: 50% !important; }
  .btn-circle-63 div {
    white-space: nowrap; }

.margin-left {
  margin-left: 16px; }

.margin-right {
  margin-right: 16px; }

.margin-top {
  margin-top: 16px; }

.margin-bottom {
  margin-bottom: 16px; }

.margin-top-2x {
  margin-top: 32px; }

.margin-left-half {
  margin-left: 8px; }

.margin-right-half {
  margin-right: 8px; }

.margin-top-half {
  margin-top: 8px; }

.margin-bottom-half {
  margin-bottom: 8px; }

.no-margin-bottom-important {
  margin-bottom: 0 !important; }

.padding {
  padding: 16px; }

.padding-vertical {
  padding-top: 16px;
  padding-bottom: 16px; }

.p-t-30 {
  padding-top: 30px; }

.cursor-pointer {
  cursor: pointer; }

.cursor-default {
  cursor: default; }

.display-none {
  display: none; }

.pre-line {
  white-space: pre-line; }

.break-text {
  white-space: pre-wrap;
  word-wrap: break-word;
  word-break: break-all; }

.inline-block {
  display: inline-block; }

.border-left-black {
  border-left: solid 1px #000; }

.btn-min-100 {
  min-width: 100px; }

.btn-min-50 {
  min-width: 50px; }

.header-title {
  font-size: 24px;
  margin-top: 1rem; }

.text-error {
  color: red; }

.text-red {
  color: red; }

.btn-icon-lg {
  font-size: 36px !important; }

.btn-icon-cancel {
  color: red; }

.fit {
  width: 1%;
  white-space: nowrap; }

.col-fit-content {
  width: 1%;
  white-space: nowrap; }

.img-scan-qr-code {
  object-fit: contain;
  width: 40px; }

.row-bordered {
  border-bottom: 1px solid #080808;
  margin-bottom: 15px; }

.m-b-10-important {
  margin-bottom: 10px !important; }

.pre-wrap {
  white-space: pre-wrap; }

.line-over-text {
  text-decoration: line-through; }

.align-left-important {
  text-align: left !important; }

.display-block {
  display: block; }

.full-width {
  width: 100%; }

.default-picker-important {
  background: #fff !important;
  color: #000 !important;
  border-color: #999 !important; }

.underline {
  text-decoration: underline; }

.list-tyle-inherit {
  list-style: inherit !important; }

.th-tfood-left {
  border-top-left-radius: 0px !important;
  border-bottom-left-radius: 8px !important; }

.th-tfood-right {
  border-top-right-radius: 0px !important;
  border-bottom-right-radius: 8px !important; }

.add-pro {
  padding: 0px;
  display: flex;
  justify-content: center;
  align-items: center; }
  .add-pro i {
    font-size: 24px; }

.error-table-empty {
  font-size: 12px;
  font-weight: normal;
  text-align: left; }

.warehouse-view-detail {
  display: flex !important;
  width: 100% !important;
  justify-content: space-between !important; }

@media (max-width: 768px) {
  .mt-md-2 {
    margin-top: 16px; }

  .warehouse-view-detail {
    display: flex !important;
    width: 100% !important;
    justify-content: space-between !important; } }
.font-note {
  color: #a7a8a9;
  font-size: 15px;
  font-weight: normal; }

.font-small {
  font-size: 15px;
  font-weight: normal; }

.red-notice {
  color: red;
  font-weight: bold; }

.row-trashed-1 {
  color: #a7a8a9; }

.white-border-radius {
  background-color: #fff;
  border-radius: 7px;
  padding: 16px; }

.ck-editor__editable {
  min-height: 500px; }

.banner-wrapper {
  text-align: center; }
  .banner-wrapper img {
    max-width: 100%;
    aspect-ratio: 2.16;
    object-fit: contain;
    max-height: 300px; }

.ellipsis-3-lines {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  /* number of lines to show */
  line-height: 1.8;
  /* fallback */
  max-height: 3.6;
  /* fallback */ }

.ellipsis-3-lines:after {
  content: "\0000a0";
  display: inline-block;
  width: 0; }

.ellipsis-2-lines {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  /* number of lines to show */
  line-height: 1.8;
  /* fallback */
  max-height: 3.6;
  /* fallback */ }

.ellipsis-2-lines:after {
  content: "\0000a0";
  display: inline-block;
  width: 0; }

.vertical-align-baseline {
  vertical-align: baseline; }

.img-maintenance-spare {
  width: 100%;
  max-width: 320px; }

.table-col-middle td {
  vertical-align: middle; }

.form-control[disabled], .form-control[readonly], fieldset[disabled] .form-control {
  background-color: #e9ecef; }

.white-corner {
  background-color: white;
  border-radius: 8px; }

.loading-circle {
  width: 36px; }

.tag-action {
  position: fixed;
  z-index: 30;
  text-align: center;
  padding: 85px 20px 30px 20px;
  font-size: 22px;
  left: 50%;
  top: 45%;
  z-index: 30;
  width: 400px;
  transform: translate(-50%, -50%);
  background: #fff;
  color: #414042;
  border-radius: 5px;
  display: none; }
  .tag-action i {
    position: absolute;
    top: 20px;
    left: 50%;
    background-size: 50px;
    background-repeat: no-repeat;
    width: 50px;
    height: 50px;
    transform: translate(-50%, 0); }
  .tag-action.addcart-success i {
    background-image: url(../images/i_addcart_success.png); }
  .tag-action.addcart-failed i {
    background-image: url(../images/i_addcart_fail.png); }
  @media (max-width: 576px) {
    .tag-action {
      width: 300px;
      font-size: 20px; } }

.ovl-bg {
  position: fixed;
  z-index: 25;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.4);
  width: 100%;
  height: 100%;
  display: none; }

.font-light-grey {
  font-weight: 300;
  color: #6d6e71; }

.order-status-1 {
  color: #f15a29; }

.order-status-2 {
  color: #f7941d; }

.order-status-3 {
  color: #000; }

.order-status-4 {
  color: #939598; }

.a-default {
  color: #007bff; }

.dummy-input-number {
  position: relative;
  height: 25px;
  min-width: 50px;
  font-size: 14px;
  font-weight: 300;
  padding: 3px;
  padding-top: 1px;
  text-align: center;
  background-color: white;
  border: 1px solid black; }

.btn-minus-plus {
  background-color: #e6e7e8;
  min-width: 38px;
  width: auto;
  transition: all 300ms ease;
  background-repeat: no-repeat;
  background-position: center;
  border: 1px solid #d1d3d4;
  padding: 1px 5px; }
  .btn-minus-plus i {
    font-size: 13px !important;
    color: #a7a8a9;
    top: auto !important; }

.container-or {
  border: 1px dashed grey; }
  .container-or .or-side, .container-or .or {
    align-self: center;
    text-align: center; }
  .container-or .or-side {
    padding: 16px; }
  .container-or .or {
    position: relative; }
    .container-or .or .or-line {
      float: left;
      width: 50%;
      border-right: 1px dashed #aaa;
      height: 6em; }
    .container-or .or .or-label {
      background: #fff;
      height: 1em;
      left: 50%;
      margin-left: -1.25em;
      margin-top: 2em;
      padding: .5em;
      position: absolute;
      text-transform: uppercase;
      width: 1em;
      font-weight: bold; }

.modal-footer-sticky {
  position: sticky;
  bottom: 0;
  background-color: inherit;
  /* [1] */
  z-index: 1055;
  /* [2] */ }

#graph_product {
  width: 100%;
  height: calc(100vh - 300px); }

#graph_summaries {
  width: 100%;
  height: calc(100vh - 300px); }

@keyframes blink {
  50% {
    opacity: 0.0; } }
.blink {
  animation: blink 1s step-start 0s infinite; }

@media screen and (max-width: 767px) {
  .mobile-tablesaw {
    display: flex !important;
    flex-direction: row  !important;
    justify-content: flex-start  !important; }
    .mobile-tablesaw .tablesaw-cell-label {
      text-align: start; }
    .mobile-tablesaw .tablesaw-cell-content {
      margin-left: 8px; }

  #tbproduct tfoot tr th:first-child,
  #tbproduct tfoot tr th:last-child {
    /* Selects the last <th> in <tfoot> of #tbproduct */
    display: none; }

  #tbproduct .tablesaw-cell-content {
    width: 100% !important; } }
